/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __HISTO2D_H__
#define __HISTO2D_H__

#include "classe.h"
#include <contour_set.h>
#include <gdk/gdk.h>
#include "histo1d.h"

CLASSE(histo2d);

extern histo2d    FAIRE_histo2d         (contour_set,
					dart,
					PFprojection,
					PFprojection);

extern void       DEFAIRE_histo2d       (histo2d);

extern void       histo2d_get_minmax    (histo2d, int*, int*, int*, int*);
//extern void       histo2d_set_pixmap    (histo2d, GdkPixmap*);
//extern GdkPixmap* histo2d_get_pixmap    (histo2d);
extern short int  histo2d_get_value     (histo2d, int, int);
extern void       histo2d_get_taille    (histo2d, int*, int*);
extern short int  histo2d_get_freq_max  (histo2d);
extern void       histo2d_affiche_histo (histo2d);

#endif /* histo2d.h*/
