/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __LISSAGE_H__
#define __LISSAGE_H__

#include "contour_set.h"
#include "rule.h"

extern void smooth_set_max_segment_lenght(int);
extern int  smooth_get_max_segment_lenght();

extern void smooth_set_area_merge_threshold(int);
extern int  smooth_get_area_merge_threshold();

extern void smooth_face              (contour_set,dart);
extern void smooth_rule_set_algorithm(rule);

#endif
