/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __ARBRE__
#define __ARBRE__
#include "types.h"
#include "type_obj.h"
#include "coul_freq.h"

#include "classe.h"


CLASSE(arbre_binaire);

#define NULL_ARBRE_BINAIRE (arbre_binaire)NULL

extern arbre_binaire FAIRE_arbre_binaire(coul_freq,int,int,int,int);
extern void          DEFAIRE_arbre_binaire(arbre_binaire);

extern void   arbre_binaire_creer_clusters(arbre_binaire,
					   coul_freq,
					   int*,
					   double);
extern void   arbre_binaire_creer_la_table(arbre_binaire,coul_freq,int,int*);
extern double arbre_binaire_give_first_msq_ratio(arbre_binaire,coul_freq);
extern void   arbre_binaire_chercher_couleur_ds_table(arbre_binaire,int*,int*);
extern void   arbre_binaire_etiqueter_feuilles(arbre_binaire);
extern void   arbre_binaire_donne_table(arbre_binaire,int*);
#endif











