/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef BITMAP_GEN_H
#define BITMAP_GEN_H


#include "point.h"
#include "move_type.h"

#include "objet.h"
#include "classe.h"

CLASSE(bitmap_gen);

extern bitmap_gen FAIRE_bitmap_gen();
extern void       DEFAIRE_bitmap_gen(bitmap_gen);


extern void       bitmap_gen_first(bitmap_gen);
extern void       bitmap_gen_last(bitmap_gen);

extern bouleen    bitmap_gen_next(bitmap_gen);
extern bouleen    bitmap_gen_previous(bitmap_gen);

extern void       bitmap_gen_insert(bitmap_gen, point, int,move_type,move_type);
extern int        bitmap_gen_current_attribute(bitmap_gen);
extern void       bitmap_gen_current_point(bitmap_gen,point);

extern move_type bitmap_gen_negative_move(bitmap_gen);
extern move_type bitmap_gen_positive_move(bitmap_gen);

extern bouleen  bitmap_gen_is_empty(bitmap_gen);

#endif /* BITMAP_GEN_H */
