/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __CAG_H__
#define __CAG_H__

#include "cluster_set.h"
#include "classe.h"

CLASSE(cag);

extern cag FAIRE_cag   (cluster_set);
extern void DEFAIRE_cag(cag);

extern void   cag_find_closest_node  (cag,int*,int*);
extern void   cag_give_min_color_dist(cag,cluster_set,int*,int*);

extern void   cag_merge_node         (cag,cluster_set,int,int);

#endif





