/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __CHEMIN_DISCRET
#define __CHEMIN_DISCRET
#include "classe.h"
#include "type_obj.h"
#include "contour_set.h"
#include "move_type.h"

CLASSE(Chemin_Discret);

extern Chemin_Discret FAIRE_Chemin_Discret   ();
extern void           DEFAIRE_Chemin_Discret (Chemin_Discret);


extern void Chemin_Discret_compute_from_face    (Chemin_Discret, 
						 contour_set, 
						 dart);
extern void Chemin_Discret_compute_from_segment (Chemin_Discret, 
						 contour_set, 
						 dart);


extern int Chemin_Discret_nb_codes(Chemin_Discret);

extern move_type Chemin_Discret_code_decalage_circulaire(Chemin_Discret, 
							 int, int);
extern move_type Chemin_Discret_code(Chemin_Discret, int);

extern int Chemin_discret_delta_x(Chemin_Discret, int);
extern int Chemin_discret_delta_y(Chemin_Discret, int);
#endif
