/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __DROITE
#define __DROITE
#include "classe.h"
#include "chemin_discret.h"

CLASSE(Droite_Discrete);

extern Droite_Discrete FAIRE_Droite_Discrete();
extern void            DEFAIRE_Droite_Discrete(Droite_Discrete);
extern void            Droite_Discrete_reinit(Droite_Discrete);

extern int Droite_Discrete_give_quadrant(Droite_Discrete);
extern int Droite_Discrete_give_a       (Droite_Discrete);
extern int Droite_Discrete_give_b       (Droite_Discrete);
extern int Droite_Discrete_give_mu      (Droite_Discrete);

extern void Droite_Discrete_calcul_tangente(Droite_Discrete, 
					    Chemin_Discret, 
					    int);

#endif
