/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef INCLUSIONS_H
#define INCLUSIONS_H



#include "type_obj.h"
#include "dart_list.h"
#include "list_gen.h"

#include "objet.h"
#include "classe.h"

CLASSE(inclusions);

extern inclusions  FAIRE_inclusions();
extern void        DEFAIRE_inclusions(inclusions);
extern void        inclusions_realloc_inclusions(inclusions, dart);
extern bouleen     inclusions_is_infinite(inclusions, dart);

extern dart        inclusions_give_father(inclusions, dart);
extern dart_list   inclusions_give_daughter(inclusions, dart);
extern dart_list   inclusions_give_sister(inclusions, dart);


extern dart_list   inclusions_make_descent(inclusions, dart, dart);
extern void        inclusions_fusion(inclusions, dart, dart);

extern void        inclusions_split_mother_son(inclusions, dart, dart);
extern void        inclusions_report_daughter(inclusions,dart,dart);
extern void        inclusions_remove_infinite_face(inclusions,dart);
extern void        inclusions_merge_finite_face(inclusions,dart,dart);



#endif /* INCLUSIONS_H */





