/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MERGE_FACES_H__
#define __MERGE_FACES_H__

#include <glib.h>
#include "contour_set.h"
#include "tab_mark_dart.h"
#include "rule.h"

extern dart merge_face            (contour_set,dart,dart);
extern void merge_face_by_mean    (contour_set,dart);
extern void merge_face_by_gradiant(contour_set,dart);

extern void merge_face_by_mean_give_segments_to_delete(contour_set,
						       dart,
						       dart_list);

extern void move_face_to_specified_area         (contour_set,
						 dart,
						 guint,
						 double,
						 tab_mark_dart,
						 dart_list,
						 point,
						 bouleen*);
extern void move_face_to_specified_squared_error(contour_set,
						 dart,
						 double,
						 tab_mark_dart,
						 dart_list);

extern void  merge_face_give_border             (contour_set,
						 tab_mark_dart,
						 dart,
						 dart_list);
extern void merge_face_by_mean_rule_set_algorithm    (rule);
extern void merge_face_by_gradiant_rule_set_algorithm(rule);

#endif












