/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MY_GTK_H__
#define __MY_GTK_H__

#include <gtk/gtk.h>

GtkWidget* create_file_selection(const char* message,
				 const char* pattern,
				 GtkSignalFunc ok_func,
				 GtkSignalFunc cancel_func
				 );
GtkWidget* create_confirm(const char* message,
			  GtkSignalFunc ok_func,
			  GtkSignalFunc cancel_func
			  );
void create_dialog(const char* message,
		   GtkSignalFunc ok_func
		   );

GtkWidget *Descartes;
#endif
