/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __NODE_EUCLID_SET_H__
#define __NODE_EUCLID_SET_H__

#include "tab_euclid.h"
#include "point.h"
#include "classe.h"

typedef unsigned char node_euclid_value[2];

CLASSE(node_euclid_set);

extern node_euclid_set FAIRE_node_euclid_set  ();
extern void            DEFAIRE_node_euclid_set(node_euclid_set);

extern void node_euclid_set_reinitialize(node_euclid_set);

extern void node_euclid_set_store_update_node(node_euclid_set,
					      point,
					      node_euclid_value); 
extern void node_euclid_set_update_tab_euclid(node_euclid_set, 
					      tab_euclid);
#endif

