/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef NODE_SET_H
#define NODE_SET_H

#include "node.h"
#include "hash_table.h"
#include "point.h"

#include "classe.h"
#include "objet.h"

CLASSE(node_set);

#define NULL_NODE_SET (node_set) NULL

extern node_set   FAIRE_node_set(); /* Constructeur */
extern void       DEFAIRE_node_set(node_set); /* Destructeur */

extern bouleen    node_set_is_node(node_set,point);

extern node       node_set_give_node(node_set,point);
extern void       node_set_insert_node(node_set, node);
extern void       node_set_remove_node(node_set, point);

extern hash_table node_set_give_hash_table(node_set);


#endif /* NODE_SET_H */
