/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __QUANTIFICATION__
#define __QUANTIFICATION__  

extern void       quantification_creer_table(image,
					     arbre_binaire*,
					     image*,
					     int,
					     int*,
					     int,
					     int,
					     int,
					     int,
					     int);

extern void       quantification_map_image(arbre_binaire, 
					   image*,
					   image, 
					   int, 
					   int);

extern Comp_rgb*  quantification_creer_image_indice(image,
						    arbre_binaire,
						    unsigned long *,
						    int);



#endif /* __QUANTIFICATION__ */
