/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RAG_H__
#define __RAG_H__

#include "classe.h"
#include "contour_set.h"
#include "dart_list.h"
#include "tab_mark_dart.h"

CLASSE(rag);

extern rag  FAIRE_rag  (contour_set,dart_list,tab_mark_dart);
extern void DEFAIRE_rag(rag);

extern void   rag_find_closest_node     (rag,contour_set,dart*,dart*);
extern dart   rag_merge_face            (rag,contour_set,dart,dart);
extern double rag_give_sqe              (rag,contour_set,dart);
extern double rag_give_global_sqe       (rag);
extern void   rag_remove_noise          (rag,contour_set);
extern void   rag_give_faces            (rag,contour_set,dart_list);
extern int    rag_give_nb_current_faces (rag);
#endif

