/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef TAB_INT_H
#define TAB_INT_H

#include "classe.h"

CLASSE(tab_int);

extern void    ALLOC_tab_int();
extern void    DEALLOC_tab_int();

extern tab_int FAIRE_tab_int  ();
extern void    DEFAIRE_tab_int(tab_int);

extern void    tab_int_reinitialize(tab_int);

extern int     tab_int_give_value(tab_int, int);
extern void    tab_int_put_value(tab_int, int, int); /* self,ind,val */


#endif /* TAB_INT_H */


