/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __TAB_MOVE_H__
#define __TAB_MOVE_H__

#include "move_type.h"

#include "classe.h"

CLASSE(tab_move);

extern void ALLOC_tab_move  ();
extern void DEALLOC_tab_move();

extern tab_move FAIRE_tab_move  ();
extern void     DEFAIRE_tab_move(tab_move);

extern void tab_move_reinitialize(tab_move);

extern move_type tab_move_give_value(tab_move,int);
extern void      tab_move_put_value (tab_move,int,move_type);
extern int       tab_move_give_cardinal(tab_move);
#endif


