/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <assert.h>
#include "segmentation_link.h"
#include "segmentation.h"
#include "objet.h"

#define Compute_params SELF(compute_params)
#define Same_cluster   SELF(same_cluster)
#define Close_params   SELF(close_params)

#define Private_field  SELF(private_field)
#define Space          Private_field->space
#define Init_function  Private_field->init_function


struct segmentation_priv
{
  int space;
  PFinit init_function;
  
};

segmentation FAIRE_segmentation()
{
  INSTANCIER(segmentation);
  Private_field = (segmentation_priv)malloc(sizeof(struct segmentation_priv));
  
  Space = 6;
  
  return self;
}
void DEFAIRE_segmentation(segmentation self)
{
  assert(self);

  free(Private_field);
  free(self);
}
void segmentation_set_algorithm(segmentation self,
				PFinit init)
{
  assert(self);
  Init_function = init;
}
void segmentation_set_space(segmentation self,int space)
{
  assert(self);

  Space = space;
}
int segmentation_give_space(segmentation self)
{
  assert(self);

  return Space;
}
void segmentation_make_segments(segmentation self,
				contour_set contours,
				dart f,
				double ecart_max)

{
  assert(self);
  assert(contours);
  assert(f);
   
  Init_function(self);
  Compute_params(self,contours,f,ecart_max);
  contour_set_set_same_cluster_criterion(contours,Same_cluster);
  segmente_do_segments(contours,f);
  Close_params();
}






