#ifndef __CHEMIN_DISCRET
#define __CHEMIN_DISCRET
#include "classe.h"
#include "type_obj.h"
#include "contour_set.h"
#include "move_type.h"

CLASSE(Chemin_Discret);

extern Chemin_Discret FAIRE_Chemin_Discret   ();
extern void           DEFAIRE_Chemin_Discret (Chemin_Discret);


extern void Chemin_Discret_compute_from_face    (Chemin_Discret, 
						 contour_set, 
						 dart);
extern void Chemin_Discret_compute_from_segment (Chemin_Discret, 
						 contour_set, 
						 dart);


extern int Chemin_Discret_nb_codes(Chemin_Discret);

extern move_type Chemin_Discret_code_decalage_circulaire(Chemin_Discret, 
							 int, int);
extern move_type Chemin_Discret_code(Chemin_Discret, int);

extern int Chemin_discret_delta_x(Chemin_Discret, int);
extern int Chemin_discret_delta_y(Chemin_Discret, int);
#endif
