#ifndef __CHEMIN_EUCLIDIEN
#define __CHEMIN_EUCLIDIEN
#include "classe.h"
#include "type_obj.h"
#include "contour_set.h"

CLASSE(Chemin_Eucl);

extern Chemin_Eucl FAIRE_Chemin_Eucl        ();
extern void        DEFAIRE_Chemin_Eucl      (Chemin_Eucl);
extern void        Chemin_Eucl_reinitialize (Chemin_Eucl);

extern void Chemin_Eucl_compute_from_face   (Chemin_Eucl, contour_set, dart);
extern void Chemin_Eucl_compute_from_segment(Chemin_Eucl, contour_set, dart);

extern float Chemin_Eucl_real_value (int);
extern int   Chemin_Eucl_x_decal    (Chemin_Eucl, int);
extern int   Chemin_Eucl_y_decal    (Chemin_Eucl, int);

extern float Chemin_Eucl_surface(Chemin_Eucl);
extern float Chemin_Eucl_perimetre(Chemin_Eucl);
#endif
