#include "cluster.h"
#include "objet.h"

#define Exist   SELF(exist)
#define Canonic SELF(canonic)
#define Mean    SELF(mean)
#define Sqe     SELF(sqe)
#define Mom0    SELF(mom0)
#define Mom1    SELF(mom1)
#define Mom2    SELF(mom2)


void cluster_add_color_to_cluster(cluster self,int C[3])
{
  int i;

  Mom0++;
  
  for(i=0;i<3;i++)
    {
      Mom1[i] += C[i];
      Mom2[i] += C[i]*C[i];
    }
}
bouleen cluster_is_empty(cluster self)
{
  return (Mom0 ==0.0);
}
void cluster_copy(cluster self,cluster copy)
{
  int i;

  copy->exist = vrai;
  copy->mom0 = Mom0;
  copy->sqe = 0.0;
  
  for(i=0;i<3;i++)
  {
    copy->mom1[i] = Mom1[i];
    copy->mom2[i] = Mom2[i];
    copy->mean[i] = Mom1[i]/Mom0;
    copy->sqe    += (Mom2[i]-Mom1[i]*copy->mean[i]); 
  }
}
double cluster_give_sqe(cluster self)
{
  return Sqe;
}
void cluster_give_moments(cluster self,
			  double* m0,
			  vector m1,
			  vector m2)
{

  (*m0) += Mom0;
  vector_equal_plus(m1,Mom1,DIM_MAX);
  vector_equal_plus(m2,Mom2,DIM_MAX);
}

void cluster_set_moments(cluster self,
			 double m0,
			 vector m1,
			 vector m2)
{
  int i;

  Exist = vrai;
  Mom0 = m0;
  Sqe =0.0;

  if(Mom0 == 1.0)
    {
      for(i=0;i<DIM_MAX;i++)
	{
	  Mom1[i] = m1[i];
	  Mom2[i] = m2[i];
	  Mean[i] = m1[i];
	}
      return;
    }
  for(i=0;i<DIM_MAX;i++)
    {
      Mom1[i] = m1[i];
      Mom2[i] = m2[i];
      Mean[i] = m1[i]/m0;
      Sqe    += Mom2[i]-Mom1[i]*Mean[i];
    }
}



