#ifndef __CLUSTER_H__
#define __CLUSTER_H__

#include "vector.h"
#include "type_obj.h"
#include "types.h"
#include "classe.h"

struct cluster 
{
  bouleen exist;
  int     canonic;
  vector mean;
  double sqe;
  double mom0;
  vector mom1;
  vector mom2;
};

CLASSE(cluster);

extern void    cluster_add_color_to_cluster(cluster,int[3]);
extern bouleen cluster_is_empty            (cluster);
extern void    cluster_copy                (cluster,cluster);
extern double  cluster_give_sqe            (cluster);
extern void    cluster_give_moments        (cluster,double*,vector,vector);
extern void    cluster_set_moments         (cluster,double,vector,vector);
#endif
