#ifndef COUL_FREQ_H
#define COUL_FREQ_H

#include "image.h"
#include "types.h"
#include "contour_set.h"
#include "image.h"

#include "objet.h"
#include "classe.h"

CLASSE(coul_freq);

extern coul_freq FAIRE_coul_freq();
extern void      DEFAIRE_coul_freq(coul_freq);

extern void   coul_freq_initialize_from_face(coul_freq,contour_set,dart,int);
extern void   coul_freq_initialize_from_image(coul_freq,image,int);

extern double coul_freq_projection(coul_freq,
				   int,
				   int,
				   intervalle*,
				   double*,
				   double*);

extern int coul_freq_give_nb_of_color(coul_freq);

extern int coul_freq_give_min_C1(coul_freq);
extern int coul_freq_give_max_C1(coul_freq);
extern int coul_freq_give_min_C2(coul_freq);
extern int coul_freq_give_max_C2(coul_freq);
extern int coul_freq_give_min_C3(coul_freq);
extern int coul_freq_give_max_C3(coul_freq);

extern int* coul_freq_give_median(coul_freq,int*,int*);

#endif
