#ifndef FACE_H
#define FACE_H

#include "type_obj.h"
#include "vector.h"

#include "classe.h"
#include "objet.h"

CLASSE(face);

extern face FAIRE_face(int);
extern void DEFAIRE_face(face);

extern bouleen face_is_computed(face);

extern double  face_give_area              (face);
extern double* face_give_mean_value        (face);
extern double* face_give_moment1_value     (face);
extern void    face_give_moments           (face,double*,vector,vector);
extern double  face_give_squared_error     (face);
extern double  face_give_mean_squared_error(face);

extern void    face_merge(face,face);

extern void    face_initialize(face,double,vector,vector,int,dart);
extern void    face_uninitialize(face);

#endif /* FACE_H */
