#include <assert.h>
#include "rule.h"
#include "objet.h"
#include "garbage.h"

#define Specified_rule SELF(specified_rule)

static rule alloc_rule_priv();
static void dealloc_rule_priv(rule);

static garbage rules_collector;

void ALLOC_rule()
{ 
  rules_collector = FAIRE_garbage();
}
void DEALLOC_rule()
{
  DEFAIRE_garbage(rules_collector,free);
}

rule FAIRE_rule()
{
  rule self;
  
  self = alloc_rule_priv();

  return self;
}
void DEFAIRE_rule(rule self)
{
  dealloc_rule_priv(self);
}
void rule_specify_rule(rule self,PFget_rule_name get_rule_name )
{
  get_rule_name(self);
}
void rule_apply_rule(rule self,contour_set contours,dart f,...)
{
  va_list arg_list;
  va_start(arg_list,f);
  Specified_rule(contours,f,arg_list);
  va_end(arg_list);
}
static rule alloc_rule_priv()
{
  rule self;

  if(garbage_is_empty(rules_collector))
    {
      self = (rule)malloc(sizeof(struct rule));
      assert(self);
      return self;
    }
  
  return garbage_give_object(rules_collector);
}
static void dealloc_rule_priv(rule self)
{
  garbage_insert_object(rules_collector,self);
}



