#ifndef _XIMAGE_H_
#define _XIMAGE_H_

#include "display.h"
#include "contour_set.h"
#include "output_segment.h"
#include "point.h"
#include <gtk/gtk.h>
#include "classe.h"

CLASSE(ximage);

extern ximage FAIRE_ximage(display,		/* father display */

			   GtkWidget*,                  /* Gtkimage */
			   unsigned char*);		/* border color */
extern void DEFAIRE_ximage(ximage);

extern void ximage_display(ximage);

extern void ximage_draw_point          (ximage,point,unsigned char*);
extern void ximage_draw_segment        (ximage,output_segment,unsigned char*);
extern void ximage_draw_set_of_segments(ximage,list_gen,unsigned char*);
extern void ximage_draw_face           (ximage,contour_set,dart,unsigned char*);
extern void ximage_draw_set_of_faces   (ximage,contour_set,dart_list,unsigned char*);
extern void ximage_redraw_all          (ximage,contour_set,unsigned char*,unsigned char*);
/**************************************************/
extern void ximage_erase_point          (ximage,point);
extern void ximage_erase_segment        (ximage,output_segment);
extern void ximage_erase_set_of_segments(ximage,list_gen);
extern void ximage_erase_face           (ximage,contour_set,dart);
extern void ximage_erase_set_of_faces   (ximage,contour_set,dart_list);
extern void ximage_erase_all            (ximage);
/**************************************************/
/* Fonctions reservees pour l'heritage */

extern void ximage_draw_point_gen   (any_ptr,point,unsigned char*);

// rajoutes
display ximage_get_display( ximage self );

#endif
