/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __EXPORT_REGIONS_H__
#define __EXPORT_REGIONS_H__
#define __NO_MOVES__
#include <classe.h>
#include <type_obj.h>
#include <contour_set.h>

typedef enum
{
  export_one_region_as_bitmap,
  export_one_region
} export_region_kind;

CLASSE(export_region);

export_region FAIRE_export_region(contour_set,export_region_kind);
void          DEFAIRE_export_region(export_region);

void export_region_do_export(export_region,contour_set,dart);
void export_region_save(export_region,char*);

#endif
