/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MOMENTS_H__
#define __MOMENTS_H__

#include "classe.h"
#include "objet.h"

CLASSE(moments);

extern moments FAIRE_moments        (void);

extern void    DEFAIRE_moments      (moments);

extern int     moments_get_m1_red   (moments);
extern void    moments_set_m1_red   (moments, int);
extern int     moments_get_m1_green (moments);
extern void    moments_set_m1_green (moments, int);
extern int     moments_get_m1_blue  (moments);
extern void    moments_set_m1_blue  (moments, int);
extern int     moments_get_m0       (moments);
extern void    moments_set_m0       (moments, int);


#endif /* moments.h*/
