/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __CHEMIN_EUCLIDIEN
#define __CHEMIN_EUCLIDIEN
#include "classe.h"
#include "type_obj.h"
#include "contour_set.h"

CLASSE(Chemin_Eucl);

extern Chemin_Eucl FAIRE_Chemin_Eucl        ();
extern void        DEFAIRE_Chemin_Eucl      (Chemin_Eucl);
extern void        Chemin_Eucl_reinitialize (Chemin_Eucl);

extern void Chemin_Eucl_compute_from_face   (Chemin_Eucl, contour_set, dart);
extern void Chemin_Eucl_compute_from_segment(Chemin_Eucl, contour_set, dart);

extern float Chemin_Eucl_real_value (int);
extern int   Chemin_Eucl_x_decal    (Chemin_Eucl, int);
extern int   Chemin_Eucl_y_decal    (Chemin_Eucl, int);

extern float Chemin_Eucl_surface(Chemin_Eucl);
extern float Chemin_Eucl_perimetre(Chemin_Eucl);
#endif
