/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HASH_TABLE_H
#define HASH_TABLE_H

#include "node.h"


typedef struct l_element 
            {
	      node element;
	      struct l_element *next;
	    } *L_ELEMENT,L_element;


CLASSE(hash_table);

extern hash_table FAIRE_hash_table();
extern void       DEFAIRE_hash_table(hash_table);

extern bouleen    hash_table_is_in(hash_table, point);
extern node       hash_table_give_node(hash_table, point);
extern void       hash_table_insert(hash_table, node);
extern void       hash_table_realloc(hash_table);
extern void       hash_table_remove_elt(hash_table, point);



#endif /* HASH_TABLE_H */
