/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef NODE_H
#define NODE_H

#include "classe.h"
#include "objet.h"

#include "type_obj.h"
#include "point.h"

CLASSE(node);

# define NUL_NODE(n_) ( (n_) == (node)0 )

extern node FAIRE_node(point,dart);
extern void DEFAIRE_node(node);

extern void node_give_point(node,point);
extern dart node_give_dart(node);

extern void node_set_dart(node, dart);
extern void node_set_point(node, point);


#endif /* NODE_H */
