/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef TAB_GEN_H
#define TAB_GEN_H
#include "classe.h"
#include "objet.h"

#include "type_obj.h"

CLASSE(tab_gen);


extern tab_gen     FAIRE_tab_gen();
extern void        DEFAIRE_tab_gen(tab_gen);

extern void        tab_gen_insert_object(tab_gen, any_ptr, int);

extern any_ptr     tab_gen_give_object(tab_gen, int);
extern int         tab_gen_give_dart(tab_gen, any_ptr);
extern int         tab_gen_give_cardinal(tab_gen);

extern void        tab_gen_remove_object(tab_gen, int);



#endif /* TAB_GEN_H */
