/*  descartes
 *  Copyright (C) 2001 Luc Brun
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <assert.h>
#include "node.h"



#define Point_node  SELF (point_node)
#define Dart_node   SELF (dart_node)

struct node
{
  Point point_node;
  dart dart_node;
};

node FAIRE_node(point p,dart b)
{
  INSTANCIER(node);

  AFFECTE_POINT(Point_node,*p); 
  Dart_node  = b;
  
  return self;
}
void DEFAIRE_node(node self)
{
  assert(self);

  free(self);
}
/*---------------------------------------------------------------------------*/

void  node_give_point(node self,point p)
{
  assert(p);assert(self);

  AFFECTE_POINT(*p,Point_node);
}

/*---------------------------------------------------------------------------*/

dart node_give_dart(node self)
{
  assert(self);
  return Dart_node;
}

/*---------------------------------------------------------------------------*/

void node_set_dart(node self, dart b)
{

  assert(self);
  Dart_node = b;
}

/*---------------------------------------------------------------------------*/

void node_set_point(node self,point p)
{
    assert(self);assert(p);
    AFFECTE_POINT(Point_node,*p);
  }



