#ifndef BITMAP_GEN_H
#define BITMAP_GEN_H


#include "point.h"
#include "move_type.h"

#include "objet.h"
#include "classe.h"

CLASSE(bitmap_gen);

extern bitmap_gen FAIRE_bitmap_gen();
extern void       DEFAIRE_bitmap_gen(bitmap_gen);


extern void       bitmap_gen_first(bitmap_gen);
extern void       bitmap_gen_last(bitmap_gen);

extern bouleen    bitmap_gen_next(bitmap_gen);
extern bouleen    bitmap_gen_previous(bitmap_gen);

extern void       bitmap_gen_insert(bitmap_gen, point, int,move_type,move_type);
extern int        bitmap_gen_current_attribute(bitmap_gen);
extern void       bitmap_gen_current_point(bitmap_gen,point);

extern move_type bitmap_gen_negative_move(bitmap_gen);
extern move_type bitmap_gen_positive_move(bitmap_gen);

extern bouleen  bitmap_gen_is_empty(bitmap_gen);

#endif /* BITMAP_GEN_H */
