#include <stdio.h>
#include <malloc.h>

#include "chargement_seg.h"
#include "segmente.h"
#include "image.h"
#include "contour_set.h"
#include "point.h"



static  bouleen same_cluster_criterion_priv(point,
					    int*,
					    point,
					    int*);

static image image_seg;
static contour_set contours;


int  open_load_seg(contour_set init_contour,
		   char* nom_image_seg)
{
  assert(nom_image_seg);

  image_seg = FAIRE_image();
  assert(image_seg);

  if(image_charger(image_seg,nom_image_seg) ==-1)
    return -1;
  
  if(contour_set_give_image_hauteur(init_contour) != 
     image_give_hauteur(image_seg)-1)
    {
      DEFAIRE_image(image_seg);
      return -2;
    }

  if(contour_set_give_image_largeur(init_contour) != 
     image_give_largeur(image_seg)-1)
    {
      DEFAIRE_image(image_seg);
      return -2;
    }

  contours = init_contour;
  return 0;
}

void close_load_seg()
{
  DEFAIRE_image(image_seg);
}  
void do_load_seg()

{
  contour_set_set_same_cluster_criterion(contours,
					 same_cluster_criterion_priv);
  segmente_do_segments(contours,1);
}

static bouleen same_cluster_criterion_priv(point p1,
					   int* pixel1,
					   point p2,
					   int* pixel2)
{
  angle sep;
  int* moves;
  Point p_1_2;

  point_give_p_1_2(p1,p2,&p_1_2,&sep);

  COORDX(p_1_2)++;
  COORDY(p_1_2)++;

  image_move_to(image_seg,&p_1_2);
  moves = image_lire_pixel(image_seg);

  return (((*moves) & sep) == 0);
}





