#ifndef __CLUSTER_SET__H
#define __CLUSTER_SET__H

#include "matrice.h"
#include "cluster.h"
#include "classe.h"
#include "contour_set.h"
#include "partition.h"
#include "dart_tab.h"

CLASSE(cluster_set);

extern cluster_set FAIRE_cluster_set  ();
extern void        DEFAIRE_cluster_set(cluster_set);

extern void  cluster_set_init_from_face       (cluster_set,
					       contour_set contours,
					       dart,
					       partition,
					       int,
					       int);
extern void  cluster_set_init_from_set_of_face(cluster_set,
					       contour_set,
					       dart_list);  

extern int     cluster_set_give_cardinal        (cluster_set);
extern void    cluster_set_merge_cluster        (cluster_set,int,int);
extern double  cluster_set_get_dist             (cluster_set,int,int);
extern double  cluster_set_get_dist_mean        (cluster_set,int,int);
extern double  cluster_set_get_color_dist       (cluster_set,int,int);
extern int     cluster_set_give_canonic_cluster (cluster_set,int);
extern void    cluster_set_set_canonic          (cluster_set);
extern void    cluster_set_give_canonics        (cluster_set,dart_tab,int*);
extern void    cluster_set_give_table           (cluster_set,double*);
extern double  cluster_set_give_sqe_sum         (cluster_set);
extern double  cluster_set_give_global_sqe      (cluster_set);
extern double  cluster_set_give_sqe             (cluster_set,int);
extern double  cluster_set_give_color_variance  (cluster_set);
#endif


