#ifndef __DISPLAY_H__
#define __DISPLAY_H__

#include "point.h"
#include "types.h"
#include "type_obj.h"
#include "image.h"
#include "classe.h"
#include <glib.h>
#include <gtk/gtk.h>
#include <gdk_imlib.h>


typedef void (*PFdisplay_pt)(any_ptr,point,unsigned char *);
typedef void (*PFdisplay_line)(any_ptr,float,float,float,float);

#define DRAW_POINT_NULL ((PFdisplay_pt)NULL)
#define DRAW_LINE_NULL ((PFdisplay_line)NULL)

CLASSE(display);

//#define DISPLAY_COLOR guint32

extern display FAIRE_display  (image);
extern void    DEFAIRE_display(display);

extern void display_set_child (display,any_ptr);

extern void display_set_draw_point (display,PFdisplay_pt);
extern void display_set_draw_line (display,PFdisplay_line);

extern void display_draw_point(display,point,unsigned char *);
extern void display_draw_line (display,float,float,float,float);

extern int       display_give_lenght     (display);
extern int       display_give_width      (display);

extern unsigned char *display_give_point_value(display,point);
extern GdkImlibImage *display_give_gdk_imlib_image( display self );

extern inline bouleen display_draw_point_is_set(display self);
#endif
