#ifndef __EUCLID_PATH_SET_H__
#define __EUCLID_PATH_SET_H__
#include "contour_set.h"
#include "display.h"
#include "type_obj.h"
#include "classe.h"

CLASSE(euclid_path);

extern euclid_path FAIRE_euclid_path(contour_set);
extern void        DEFAIRE_euclid_path(euclid_path);


extern void euclid_path_reinitialize(euclid_path);

extern void euclid_path_init_from_all_faces      (euclid_path,
						  contour_set);
extern void euclid_path_write_all_euclidean_paths(euclid_path ,
						  contour_set,
						  display,
						  unsigned char*);
extern void euclid_path_init_from_face(euclid_path,
				       contour_set,
				       dart);
extern void euclid_path_write_face    (euclid_path ,
				       contour_set,
				       dart,
				       display,
				       int,
				       point,
				       unsigned char*);


#endif
