#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#include <gtk/gtk.h>
#include "segmentation_link.h"
#include "rules_link.h"

typedef enum {region_selection,
	      segment_selection,
	      region_englobante_selection} selection;

gint interface_load_image_from_name(gchar*);
gint interface_load_segmentation_from_name(gchar*);

gint interface_load_image(GtkObject *);
gint interface_load_segmentation(GtkObject *);
gint interface_save_segmentation(GtkObject *);
void interface_set_selection(selection);
void interface_apply_segmentation(segmentation_alg);
void interface_apply_rule(rule_alg);
void interface_delete_selection();
void interface_update_selection(int,int);

// AJOUT MODULE
bouleen is_image_chargee();
gint interface_save_tablabel( GtkObject *FileSelection );
gint interface_load_tablabel( GtkObject *FileSelection );

void on_zoom_activate_interface( int zfactor );

#endif
