#ifndef __LIST_GEN__
#define __LIST_GEN__
#include "type_obj.h"


#include "classe.h"


typedef bouleen (*PFequal)(any_ptr,any_ptr);

CLASSE(list_gen);

#define NULL_LIST_GEN (list_gen)NULL

extern void        ALLOC_list_gen();
extern void        DEALLOC_list_gen();

extern list_gen    FAIRE_list_gen();
extern void        DEFAIRE_list_gen(list_gen,void (*del)(void*));

extern void        list_gen_reinitialize(list_gen);
extern void        list_gen_insert(list_gen, any_ptr);
extern void        list_gen_copy  (list_gen,list_gen);

extern void        list_gen_first(list_gen);
extern void        list_gen_last(list_gen);

extern bouleen     list_gen_next(list_gen);
extern bouleen     list_gen_previous(list_gen);

extern void        list_gen_remove_current(list_gen);
extern bouleen     list_gen_remove_object(list_gen,PFequal,any_ptr);

extern any_ptr     list_gen_give_current(list_gen);
extern int         list_gen_give_cardinal(list_gen);

extern bouleen     list_gen_is_empty(list_gen);

#endif /* LIST_GEN_H */

