#ifndef __MERGE_FACES_H__
#define __MERGE_FACES_H__

#include <glib.h>
#include "contour_set.h"
#include "tab_mark_dart.h"
#include "rule.h"

extern dart merge_face            (contour_set,dart,dart);
extern void merge_face_by_mean    (contour_set,dart);
extern void merge_face_by_gradiant(contour_set,dart);

extern void merge_face_by_mean_give_segments_to_delete(contour_set,
						       dart,
						       dart_list);

extern void move_face_to_specified_area         (contour_set,
						 dart,
						 guint,
						 double,
						 tab_mark_dart,
						 dart_list,
						 point,
						 bouleen*);
extern void move_face_to_specified_squared_error(contour_set,
						 dart,
						 double,
						 tab_mark_dart,
						 dart_list);

extern void  merge_face_give_border             (contour_set,
						 tab_mark_dart,
						 dart,
						 dart_list);
extern void merge_face_by_mean_rule_set_algorithm    (rule);
extern void merge_face_by_gradiant_rule_set_algorithm(rule);

#endif












