#include "move_type.h"

long move_type_compute_step_clock(move_type first, move_type last)
{
/* First direction qui rentre ds le point */
/* Last direction qui en sort */

    static orientation[4][4] = 
    {
	{0,-1,0,+1},
	{+1,0,-1,0},
	{0,+1,0,-1},
	{-1,0,+1,0}
    };
    return orientation[first][last];
}

/************************************************************************/
/* Renvoie le nombre de pas necessaires pour aller de first a last en */
/* tournant dans le sens sigma-1 ie dans le sens des aiguilles d'une montre*/
/************************************************************************/
int  move_type_compute_dist_sigma_1(move_type first,move_type last)
{
  int dist[4][4] = 
    {
      {4,3,2,1},
      {1,4,3,2},
      {2,1,4,3},
      {3,2,1,4}
    };

  return dist[first][last];
}
