#ifndef NODE_SET_H
#define NODE_SET_H

#include "node.h"
#include "hash_table.h"
#include "point.h"

#include "classe.h"
#include "objet.h"

CLASSE(node_set);

#define NULL_NODE_SET (node_set) NULL

extern node_set   FAIRE_node_set(); /* Constructeur */
extern void       DEFAIRE_node_set(node_set); /* Destructeur */

extern bouleen    node_set_is_node(node_set,point);

extern node       node_set_give_node(node_set,point);
extern void       node_set_insert_node(node_set, node);
extern void       node_set_remove_node(node_set, point);

extern hash_table node_set_give_hash_table(node_set);


#endif /* NODE_SET_H */
