#ifndef __OUTPUT_SEGMENT_H__
#define __OUTPUT_SEGMENT_H__

#include "point.h"
#include "move_type.h"

#include "classe.h"

CLASSE(output_segment);

extern void ALLOC_output_segment  ();
extern void DEALLOC_output_segment();

extern output_segment FAIRE_output_segment  ();
extern void           DEFAIRE_output_segment(output_segment);

extern void free_output_segment(void*);

extern void output_segment_reinitialize(output_segment);

extern void output_segment_insert(output_segment,move_type);

extern void      output_segment_give_first_point(output_segment,point);
extern void      output_segment_give_last_point (output_segment,point);
extern void      output_segment_give_right_point(output_segment,point);
extern move_type output_segment_give_first_move (output_segment);
extern move_type output_segment_give_last_move  (output_segment);
extern int       output_segment_give_lenght     (output_segment);
extern double    output_segment_give_gradiant   (output_segment);
extern long      output_segment_give_clock      (output_segment);
extern dart      output_segment_give_dart_nb    (output_segment);

extern void      output_segment_set_first_point(output_segment,point);
extern void      output_segment_set_last_point (output_segment,point);
extern void      output_segment_set_right_point(output_segment,point);
extern void      output_segment_set_lenght     (output_segment,int);
extern void      output_segment_set_gradiant   (output_segment,double);
extern void      output_segment_set_clock      (output_segment,long);
extern void      output_segment_set_dart_nb    (output_segment,dart);

extern void      output_segment_first             (output_segment);
extern bouleen   output_segment_next              (output_segment);
extern void      output_segment_last              (output_segment);
extern bouleen   output_segment_previous          (output_segment);
extern move_type output_segment_give_current_move (output_segment);
extern void      output_segment_give_current_point(output_segment,point);
extern bouleen   output_segment_is_closed         (output_segment);
#endif
