#ifndef __RAG_H__
#define __RAG_H__

#include "classe.h"
#include "contour_set.h"
#include "dart_list.h"
#include "tab_mark_dart.h"

CLASSE(rag);

extern rag  FAIRE_rag  (contour_set,dart_list,tab_mark_dart);
extern void DEFAIRE_rag(rag);

extern void   rag_find_closest_node     (rag,contour_set,dart*,dart*);
extern dart   rag_merge_face            (rag,contour_set,dart,dart);
extern double rag_give_sqe              (rag,contour_set,dart);
extern double rag_give_global_sqe       (rag);
extern void   rag_remove_noise          (rag,contour_set);
extern void   rag_give_faces            (rag,contour_set,dart_list);
extern int    rag_give_nb_current_faces (rag);
#endif

