#include <assert.h>
#include "rule.h"

static void remove_included_faces(contour_set contours,
				  dart f,
				  va_list arg_list)
{
  dart_list included_faces;
  dart current_face;

  assert(contours);
  assert(f>0);
  
  contour_set_remove_double_arc_of_face(contours,f);
  included_faces = FAIRE_dart_list();
  contour_set_give_included_faces(contours,f,included_faces);

  if(dart_list_is_empty(included_faces))
    {
      DEFAIRE_dart_list(included_faces);
      return;
    }

  dart_list_first(included_faces);  
  do
    {      
      current_face = dart_list_give_current(included_faces);
      contour_set_remove_face(contours,current_face);
    }
  while(dart_list_next(included_faces));
  
  DEFAIRE_dart_list(included_faces);
}

void remove_included_faces_rule_set_algorithm(rule father)
{
  father->specified_rule = remove_included_faces;
}
