#ifndef SEGMENTATION_LINK_H
#define SEGMENTATION_LINK_H

#include "segmente_global.h"
#include "segmente_uniform.h"
#include "segmente_local.h"
#include "segmente_local_exp.h"
#include "segmentation.h"

typedef enum 
{
  global_segmentation,
  uniform_segmentation,
  local_segmentation,
  local_exp_segmentation
} segmentation_alg;


static PFinit algo_seg[]=
{
  segmente_global_init_segmente,
  segmente_uniform_init_segmente,
  segmente_local_init_segmente,
  segmente_local_exp_init_segmente
};

#endif  /* SEGMENTATION_LINK_H */
