#ifndef TAB_EUCLID_H
#define TAB_EUCLID_H

#include "classe.h"

#include "point.h"

CLASSE(tab_euclid);

typedef unsigned char x_value;
typedef unsigned char y_value;

#define NULL_TAB_EUCLID (tab_euclid)NULL
/* Tab euclid peut indiferement etre utilise pour le plan 1/2 ou pour le */
/* plan entier avec la convention habituelle : */
/* (x+1/2,y+1/2) <---> (x,y) */
/* Il est quant meme deconseille de melanger les deux */
extern tab_euclid   FAIRE_tab_euclid  (long,long);
extern void         DEFAIRE_tab_euclid(tab_euclid);

extern void tab_euclid_reinitialize(tab_euclid);

extern int tab_euclid_give_hauteur(tab_euclid);
extern int tab_euclid_give_largeur(tab_euclid);
              
extern bouleen  tab_euclid_move_to(tab_euclid,point);

extern bouleen tab_euclid_move_right(tab_euclid);
extern bouleen tab_euclid_move_up   (tab_euclid);
extern bouleen tab_euclid_move_left (tab_euclid);
extern bouleen tab_euclid_move_down (tab_euclid);
       
extern bouleen tab_euclid_move_in_direction(tab_euclid,move_type);

extern bouleen tab_euclid_next    (tab_euclid);
extern bouleen tab_euclid_previous(tab_euclid);

extern x_value tab_euclid_give_x(tab_euclid);
extern y_value tab_euclid_give_y(tab_euclid); 

extern void tab_euclid_put_x(tab_euclid,x_value);
extern void tab_euclid_put_y(tab_euclid ,y_value);
#endif /* TAB_EUCLID_H */


