#ifndef TAB_MARK_H
#define TAB_MARK_H

#include "classe.h"

#include "point.h"

CLASSE(tab_mark);

#define NULL_TAB_MARK (tab_mark)NULL
/* Tab mark peut indiferement etre utilise pour le plan 1/2 ou pour le */
/* plan entier avec la convention habituelle : */
/* (x+1/2,y+1/2) <---> (x,y) */
/* Il est quant meme deconseille de melanger les deux */
extern tab_mark     FAIRE_tab_mark  (long,long);
extern void         DEFAIRE_tab_mark(tab_mark);

extern int        tab_mark_give_largeur(tab_mark);
extern int        tab_mark_give_hauteur(tab_mark);

extern void       tab_mark_clear(tab_mark);

extern void       tab_mark_mark_point    (tab_mark, point);
extern void       tab_mark_mark_point_two(tab_mark, point);

extern void       tab_mark_unmark_point_all(tab_mark, point);
extern void       tab_mark_unmark_point    (tab_mark, point);
extern void       tab_mark_unmark_point_two(tab_mark, point);

extern bouleen    tab_mark_is_marked    (tab_mark,point);
extern bouleen    tab_mark_is_marked_two(tab_mark,point);


#endif /* TAB_MARK_H */


